Skip to main content
GET
List events for all tasks in the organization

Authorizations

Authorization
string
header
required

OAuth2 Authorization Code flow

Query Parameters

expand
string

Comma-separated fields to expand. Supports selection with brackets (e.g., "createdBy,updatedBy" or "targets.company[icon,tradeName]").

Example:

"createdBy"

page_size
number
default:20

Number of items to return per page

Required range: 1 <= x <= 100
Example:

100

start_cursor
string

Opaque cursor for pagination. Use the next_cursor from previous response.

Example:

"eyJjcmVhdGVkX3RpbWUiOiIyMDI0LTExLTE1VDEwOjAwOjAwLjAwMFoiLCJpZCI6InBhZ2VfYWJjMTIzIn0="

parent_company_id
string

Filter events by parent company ID

Example:

"cmp_123"

Response

200 - application/json

Paginated list of task events

object
string
required
Example:

"list"

results
object[]
required
has_more
boolean
required
next_cursor
string | null
type
string